Bug 1126039 - xorg mis-parses edid, selects unusably low dotclock
Summary: xorg mis-parses edid, selects unusably low dotclock
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 16:31 UTC by Wolfgang Rupprecht
Modified: 2015-06-29 21:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:53:57 UTC


Attachments (Terms of Use)
Xorg log file of monitor running at 3840x2160@13hz (64.32 KB, text/x-log)
2014-08-01 16:47 UTC, Wolfgang Rupprecht
no flags Details
xorg log file of monitor running at xorg selected defaults 1920x1080@60 hz (64.50 KB, text/x-log)
2014-08-01 16:59 UTC, Wolfgang Rupprecht
no flags Details

Description Wolfgang Rupprecht 2014-08-01 16:31:58 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Wolfgang Rupprecht 2014-08-01 16:47:33 UTC
Created attachment 923361 [details]
Xorg log file of monitor running at 3840x2160@13hz

Comment 2 Wolfgang Rupprecht 2014-08-01 16:48:15 UTC
Description of problem:

A seiki SE39UY04 4k monitor edid gets misparsed and the ~300 Mhz dotclock that is needed to display 3840 x 2160 x 30 hz is deemed too high and xorg adjusts it downward to on unusabley low number.

I assume that the EDID has a tricky parsing rule where a previous dotclock limitation is adjusted upward.  (Where the reverse side of the EDID says to add 2 qubits for Rah or something like that.)

Version-Release number of selected component (if applicable):
xorg-x11-drivers.x86_64           7.7-6.fc20                       installed    
xorg-x11-drv-apm.x86_64           1.2.5-9.fc20                     installed    
xorg-x11-drv-ati.x86_64           7.2.0-3.20131101git3b38701.fc20  @updates-testing
xorg-x11-drv-cirrus.x86_64        1.5.1-10.fc20                    installed    
xorg-x11-drv-dummy.x86_64         0.3.6-11.fc20                    installed    
xorg-x11-drv-evdev.x86_64         2.8.4-1.fc20                     @updates     
xorg-x11-drv-fbdev.x86_64         0.4.3-10.fc20                    installed    
xorg-x11-drv-glint.x86_64         1.2.8-8.fc20                     installed    
xorg-x11-drv-i128.x86_64          1.3.6-9.fc20                     installed    
xorg-x11-drv-i740.x86_64          1.3.4-9.fc20                     installed    
xorg-x11-drv-intel.x86_64         2.21.15-7.fc20                   @updates     
xorg-x11-drv-keyboard.x86_64      1.7.0-2.fc20                     installed    
xorg-x11-drv-mach64.x86_64        6.9.4-7.fc20                     installed    
xorg-x11-drv-mga.x86_64           1.6.2-8.fc20                     installed    
xorg-x11-drv-modesetting.x86_64   0.8.0-2.fc20                     installed    
xorg-x11-drv-mouse.x86_64         1.9.0-2.fc20                     installed    
xorg-x11-drv-nouveau.x86_64       1:1.0.9-2.fc20                   installed    
xorg-x11-drv-openchrome.x86_64    0.3.3-2.fc20                     installed    
xorg-x11-drv-qxl.x86_64           0.1.1-4.fc20                     @updates     
xorg-x11-drv-r128.x86_64          6.9.1-6.fc20                     installed    
xorg-x11-drv-rendition.x86_64     4.2.5-9.fc20                     installed    
xorg-x11-drv-s3virge.x86_64       1.10.6-9.fc20                    installed    
xorg-x11-drv-savage.x86_64        2.3.7-1.fc20                     @updates     
xorg-x11-drv-siliconmotion.x86_64 1.7.7-8.fc20                     installed    
xorg-x11-drv-sis.x86_64           0.10.7-9.fc20                    installed    
xorg-x11-drv-sisusb.x86_64        0.9.6-9.fc20                     installed    
xorg-x11-drv-synaptics.x86_64     1.7.6-2.fc20                     @updates     
xorg-x11-drv-tdfx.x86_64          1.4.5-8.fc20                     installed    
xorg-x11-drv-trident.x86_64       1.3.6-9.fc20                     installed    
xorg-x11-drv-v4l.x86_64           0.2.0-31.fc20                    installed    
xorg-x11-drv-vesa.x86_64          2.3.2-10.fc20                    installed    
xorg-x11-drv-vmmouse.x86_64       13.0.0-6.fc20                    installed    
xorg-x11-drv-vmware.x86_64        13.0.2-4.20140613git82c9b0c.fc20 @updates     
xorg-x11-drv-void.x86_64          1.4.0-19.fc20                    installed    
xorg-x11-drv-voodoo.x86_64        1.2.5-9.fc20                     installed    
xorg-x11-drv-wacom.x86_64         0.23.0-5.fc20                    @updates     
xorg-x11-font-utils.x86_64        1:7.5-18.fc20                    installed    
xorg-x11-fonts-Type1.noarch       7.5-9.fc20                       @fedora      
xorg-x11-fonts-misc.noarch        7.5-9.fc20                       installed    
xorg-x11-glamor.x86_64            0.5.1-3.20140115gitfb4d046c.fc20 @updates     
xorg-x11-server-Xephyr.x86_64     1.14.4-11.fc20                   @updates     
xorg-x11-server-Xorg.x86_64       1.14.4-11.fc20                   @updates     
xorg-x11-server-common.x86_64     1.14.4-11.fc20                   @updates     
xorg-x11-server-utils.x86_64      7.7-6.fc20                       @updates     
xorg-x11-utils.x86_64             7.5-12.fc20                      installed    
xorg-x11-xauth.x86_64             1:1.0.9-1.fc20                   @updates     
xorg-x11-xinit.x86_64             1.3.2-9.fc20                     installed    
xorg-x11-xkb-utils.x86_64         7.7-8.fc20                       installed    

How reproducible:
always

Steps to Reproduce:
1. boot
2. look at /var/log/Xorg.0.log
3.

Actual results:
No video output on monitor

Expected results:
video output on monitor

Additional info:

It is possible to force output at 13hz with the attached xorg confi file snippet.

Comment 3 Wolfgang Rupprecht 2014-08-01 16:59:48 UTC
Created attachment 923368 [details]
xorg log file of monitor running at xorg selected defaults 1920x1080@60 hz

This is xorg running with only the default config files.  Notice the part where Xorg claims the timing of the edid exceeds the max allowed dotclock rate.

[ 34308.873] (WW) EDID timing clock 297.00 exceeds claimed max 115MHz, fixing
[ 34308.873] (II) RADEON(0): EDID vendor "SEK", prod id 0
[ 34308.873] (II) RADEON(0): Using hsync ranges from config file
[ 34308.873] (II) RADEON(0): Using vrefresh ranges from config file
[ 34308.873] (II) RADEON(0): Printing DDC gathered Modelines:
[ 34308.873] (II) RADEON(0): Modeline "3840x2160"x0.0  297.00  3840 4016 4104 4400  2160 2168 2178 2250 +hsync +vsync (67.5 kHz eP)
[ 34308.873] (II) RADEON(0): Modeline "1440x900"x0.0  106.50  1440 1520 1672 1904  900 903 909 934 -hsync +vsync (55.9 kHz e)

Comment 4 Wolfgang Rupprecht 2014-08-01 17:29:56 UTC
Just for completeness and in case someone else trips over the bz for help.  Here is the snippet needed to make xorg output at 3840x2160.   There is no flicker, but the lag is pretty bad.  (As can be evidenced by the empty first comment.  The mousie and keyboard have a very noticeable 1/2 sec or so pipeline.)

# /usr/share/X11/xorg.conf.d/10-monitor.conf
 
Section "Monitor"
  Identifier "Monitor0"
  Modeline "3840x2160_13.00"  134.94  3840 3920 4304 4768  2160 2161 2164 2177  -HSync +Vsync
EndSection

Section "Screen"
  Identifier "Screen0"
  Device "HDMI-0"
  Monitor "Monitor0"
  DefaultDepth 24
  SubSection "Display"
    Depth 24
    Modes "3840x2160" 
  EndSubSection
EndSection

Comment 5 D. Hugh Redelmeier 2014-10-01 06:36:50 UTC
See also https://bugs.freedesktop.org/show_bug.cgi?id=82102

Comment 6 Fedora End Of Life 2015-05-29 12:32:26 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-29 21:53:57 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.